class TaskAction {
    Task task
    MaintenancePolicy maintenancePolicy
    SystemSection systemSection
    Asset asset
    AssetType assetType
    Assembly assembly
    SubAssembly subAssembly
    ComponentItem componentItem
    String action
    String reasoning = ""
    Integer stepNumber
    boolean isActive = true

//     static hasMany = []

//     static belongsTo = []

    static constraints = {
        systemSection(blank:true, nullable:true)
        asset(blank:true, nullable:true)
        assetType(blank:true, nullable:true)
        assembly(blank:true, nullable:true)
        subAssembly(blank:true, nullable:true)
        componentItem(blank:true, nullable:true)
        stepNumber(blank:true, nullable:true)
    }

    String toString() {
        "${this.action}"
    }
}

